﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace TreeFileFolder
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            LoadTreeData();
            
        }

        private void LoadTreeData()
        {
            ObservableCollection<Entry> rootCollection = new ObservableCollection<Entry>();
            for (int i = 0; i < 5; i++)
            {
                Entry folder = new Entry()
                {
                    Name = "Folder" + i,
                    Description = "Description" + i,
                    IsDirectory = true,
                    PathToFile = "C:\\Folder" + i,
                    ImgSource = new Uri("Images/folder32.png", UriKind.RelativeOrAbsolute)
                };
                for (int k = 0; k < 4; k++)
                {
                    Entry childFolder = new Entry()
                    {
                        Name = "ChildFolder" + k,
                        Description = "ChildFolder" + k,
                        IsDirectory = true,
                        PathToFile = "C:\\Folder\\ChildFolder" + k,
                        ImgSource = new Uri("Images/folder32.png", UriKind.RelativeOrAbsolute)
                    };
                    for (int ii = 0; ii < 2; ii++)
                    {
                        Entry GrandChildFolder = new Entry()
                        {
                            Name = "ChildFolder" + ii,
                            Description = "ChildFolder" + ii,
                            IsDirectory = true,
                            PathToFile = "C:\\Folder\\ChildFolder\\GrandChild" + ii,
                            ImgSource = new Uri("Images/folder32.png", UriKind.RelativeOrAbsolute)
                        };
                        childFolder.Entries.Add(GrandChildFolder);
                    }
                    for (int jj = 0; jj < 2; jj++)
                    {
                        Entry GrandChildFile = new Entry()
                        {
                            Name = "GrandChildFile" + jj,
                            Description = "Description" + jj,
                            PathToFile = "C:\\Folder\\ChildFolder\\GrandChildFile" + jj,
                            IsDirectory = false,
                            ImgSource = new Uri("Images/file32.png", UriKind.RelativeOrAbsolute)
                        };
                        childFolder.Entries.Add(GrandChildFile);
                    }
                    folder.Entries.Add(childFolder);
                }
                for (int s = 0; s < 2; s++)
                {
                    Entry ChildFile = new Entry()
                    {
                        Name = "ChildFile" + s,
                        Description = "Description" + s,
                        PathToFile = "C:\\Folder\\ChildFile" + s,
                        IsDirectory = false,
                        ImgSource = new Uri("Images/file32.png", UriKind.RelativeOrAbsolute)
                    };
                    folder.Entries.Add(ChildFile);
                }
                rootCollection.Add(folder);
            }
            for (int j = 0; j < 3; j++)
            {
                Entry file = new Entry()
                {
                    Name = "File" + j,
                    Description = "Description" + j,
                    PathToFile = "C:\\File" + j,
                    IsDirectory = false,
                    ImgSource = new Uri("Images/file32.png", UriKind.RelativeOrAbsolute)
                };
                rootCollection.Add(file);
            }

            this.Tree.ItemsSource = rootCollection;
        }
    }
}
